#ifndef _SAGDATA__H_
#define _SAGDATA__H_

#define NAMESIZE (16) /* max size of an ASCII representation of a
			 Sagittal accidental */
#define NSAGCHARS (256) /* number of characters (accidentals) data to
			   store (size of sagittal font) */
typedef struct {
    int code; /* decimal charater code of the accidental in Sagittal font */
    double num; /* numerator of primary comma */
    double den; /* denominator of primary comma */
    double cents; /* primary comma in cents */
    /* ASCII representations for the accidental */
    char shortpure[NAMESIZE];
    char longpure[NAMESIZE];
    char shortmixed[NAMESIZE];
    char longmixed[NAMESIZE];
    char alternative[NAMESIZE]; /* to store custom alternative names */
} sagstruct;

#endif
