#!/bin/bash

# default macros are for abcm2ps
microabc < 22et.txt > 22et-ps.abh
cat 22et-ps.abh 22et.abp | abcpp > 22et-ps.abc
abcm2ps 22et-ps.abc -O22et.ps

# for abc2midi, reset some options
microabc \
	size:22 \
	alias:2\ 3 \
	dumbacc:1 \
	scl:1 \
	-i22et.txt \
	-o22et-midi.abh
cat 22et-midi.abh 22et.abp | abcpp > 22et-midi.abc
abc2midi 22et-midi.abc 1 -o 22et.mid

