#!/bin/bash

# midi
microabc < just.txt > just-midi.abh
cat just-midi.abh just.abp | abcpp > just.abc
abc2midi just.abc 1 -o just.mid

# abcm2ps
microabc \
	alias:1 \
	timidity:0 \
	scala:0 \
	replaceabc:1\ noaccid \
	echo:\#define\ %%KEYSIG1\ K:C\#  \
	echo:\#define\ %%KEYSIG2\ K:Cb  \
	< just.txt > just-ps.abh
cat just-ps.abh just.abp | abcpp > just-ps.abc
abcm2ps just-ps.abc -O just.ps

# abcm2ps map
abcm2ps just.abc -O just-map.ps
